/* ==== ai_wpt.h ==== */
/* Types only useful to ai_waypt.c */

struct tunnelsearch_t {
   tunnellist_t *This;
   intersection_t *Waypoint; /* The intersection we'd choose as a waypoint
   to go this way */
   struct tunnelsearch_t *Next;
   int Freeit;
};
typedef struct tunnelsearch_t tunnelsearch_t;

struct intersearch_t {
   intersection_t *This;
   intersection_t *Waypoint;
   struct intersearch_t *Next;
   int Freeit;
};
typedef struct intersearch_t intersearch_t;

void ai_set_waypoint(monster_t *mob,int mstype,int tx,int ty,int d);
/* the  d  argument may get taken out, I forget why it was considered
worthwhile. */

tunnelsearch_t *new_tunnelsearch();
/* Returns a new tunnelsearch_t, prolly from global array */
intersearch_t *new_intersearch();
/* Returns a new intersearch_t, prolly from global array */
void free_tunnelsearch(tunnelsearch_t *old);
/* Frees old, unless it was from global array */
void free_intersearch(intersearch_t *old);
/* Frees old, unless it was from global array */

